From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-visualization/mricrogl/
Date: Tue, 26 Apr 2016 19:06:31 +0000 (UTC) [thread overview]
Message-ID: <1461692430.c1151b7b8e0a172a73d2884c421e1c8465b041b3.jlec@gentoo> (raw)
commit: c1151b7b8e0a172a73d2884c421e1c8465b041b3
Author: Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Tue Apr 26 17:40:30 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Apr 26 17:40:30 2016 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=c1151b7b
sci-visualization/mricrogl: new versioned ebuild
Package-Manager: portage-2.2.28
.../mricrogl/mricrogl-1.0.20151111.ebuild | 42 ++++++++++++++++++++++
1 file changed, 42 insertions(+)
diff --git a/sci-visualization/mricrogl/mricrogl-1.0.20151111.ebuild b/sci-visualization/mricrogl/mricrogl-1.0.20151111.ebuild
new file mode 100644
index 0000000..0c33fad
--- /dev/null
+++ b/sci-visualization/mricrogl/mricrogl-1.0.20151111.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit git-r3 gnome2-utils
+
+DESCRIPTION="A simle medical imaging visualization tool"
+HOMEPAGE="https://github.com/neurolabusc/MRIcroGL"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/neurolabusc/MRIcroGL.git"
+EGIT_COMMIT="${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=""
+DEPEND="dev-lang/fpc
+ dev-lang/lazarus"
+
+src_compile() {
+ lazbuild -B --lazarusdir="/usr/share/lazarus/" simplelaz.lpi || die
+}
+
+src_install() {
+ dobin MRIcroGL
+
+ insinto /usr/bin/shaders
+ doins shaders/*.txt
+
+ doicon -s scalable mricrogl.svg
+ make_desktop_entry MRIcroGL MRIcroGL /usr/share/icons/hicolor/scalable/apps/mricrogl.svg
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2016-04-26 19:06 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-04-26 19:06 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-02-17 20:14 [gentoo-commits] proj/sci:master commit in: sci-visualization/mricrogl/ Horea Christian
2023-02-17 5:22 Horea Christian
2023-02-17 5:22 Horea Christian
2023-02-17 5:22 Horea Christian
2021-12-16 10:57 Andrew Ammerlaan
2021-03-20 10:44 Andrew Ammerlaan
2021-01-19 17:02 Andrew Ammerlaan
2020-04-01 21:30 Horea Christian
2020-04-01 13:29 Horea Christian
2020-04-01 13:27 Horea Christian
2020-04-01 8:31 Horea Christian
2018-09-24 0:04 Horea Christian
2018-09-23 23:57 Horea Christian
2018-06-05 21:18 Horea Christian
2017-12-24 10:28 David Seifert
2017-09-21 2:56 Benda XU
2017-04-14 11:17 Justin Lecher
2017-04-03 14:55 Marius Brehler
2017-04-03 14:55 Marius Brehler
2016-12-17 18:05 Justin Lecher
2016-05-07 9:29 Justin Lecher
2016-03-06 19:41 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1461692430.c1151b7b8e0a172a73d2884c421e1c8465b041b3.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox